Ivan Andrus avatar Ivan Andrus committed 7178511

Added make-spkg.sh

Comments (0)

Files changed (1)

+#!/bin/bash
+
+set -e
+
+VERSION="$1"
+
+if [ -z "$VERSION" ]; then
+    echo "usage: $0 VERSION"
+    exit 1
+fi
+
+# Clean out the directory
+SPKG_DIR=./sage_mode-"$VERSION"
+rm -rf "$SPKG_DIR"
+mkdir "$SPKG_DIR"
+pushd "$SPKG_DIR"
+
+# Clone
+hg clone .. .
+
+# Create autoloads
+emacs --batch -Q --load emacs/sage.el --funcall 'sage-update-autoloads'
+rm emacs/sage-load.el~
+
+popd
+
+# Create spkg
+sage --pkg "$SPKG_DIR"
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.